import requests
import json

def send_dingtalk_message(webhook_url,message,all):
    # 构建钉钉消息
    message = {
        "msgtype": "text",
        "text": {
            "content": message
        },
        "at": {
            "isAtAll": all
        }
    }
    # 发送HTTP POST请求
    headers = {
        "Content-Type": "application/json"
    }
    # 将消息转换为JSON格式
    message_json = json.dumps(message)
    # 发送请求
    requests.post(webhook_url, data=message_json, headers=headers)
if __name__ == "__main__":
    #webhook_url：机器人的token号码，message:呈现内容。all：是否@全体发送
    webhook_url='https://oapi.dingtalk.com/robot/send?access_token=ab20a597f1c8a6c8c7a68a2e4ed724af7c5ece4678616ac6efe95fb722583f0d'
    message='更新禅道'
    all=True
    send_dingtalk_message(webhook_url,message,all)
